Class AccessPolicyClientImpl
java.lang.Object
com.eqixiac.equinix.core.client.ClientBase
com.eqixiac.equinix.iam.client.internal.implementation.AccessPolicyClientImpl
- All Implemented Interfaces:
AccessPolicyClient
Internal client implementation for project-scoped IAM access policies and their grants. Access
policy responses are read-only and list operations use opaque-token (
nextPageToken)
pagination, so the deserialized JSON models are returned directly.-
Nested Class Summary
Nested classes/interfaces inherited from class ClientBase
ClientBase.EquinixRequestBuilderModifier and TypeClassDescriptionprotected classFluent builder for constructingEquinixRequestinstances. -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionaddGrant(String projectId, String accessPolicyId, AddGrantRequest request) create(String projectId, CreateAccessPolicyRequest request) listGrants(String projectId, String accessPolicyId, String pageToken, Integer pageSize) removeGrant(String projectId, String accessPolicyId, String grantId) update(String projectId, String accessPolicyId, UpdateAccessPolicyRequest request) Methods inherited from class ClientBase
booleanOp, buildRequest, buildRequest, buildRequestWithPathParams, buildRequestWithQueryParams, bytesOp, createReturningLocationUuid, getAs, getAs, getConfigClient, invoke, listAs, mapOp, newRequest, postAs, postForType, postForType, postForType, postListAs, stringOp, voidOpModifier and TypeMethodDescriptionprotected booleanbooleanOp(String serviceEndpoint, RequestType requestType, Map<String, String> pathParams, Map<String, List<String>> queryParams, Object body) protected <T> EquinixRequest<T> buildRequest(String serviceEndpoint, RequestType requestType, Class<?> jsonClass) protected <T> EquinixRequest<T> buildRequest(String serviceEndpoint, RequestType requestType, Map<String, String> pathParams, Map<String, List<String>> queryParams, Class<?> jsonClass) protected <T> EquinixRequest<T> buildRequestWithPathParams(String serviceEndpoint, RequestType requestType, Map<String, String> pathParams, Class<?> jsonClass) protected <T> EquinixRequest<T> buildRequestWithQueryParams(String serviceEndpoint, RequestType requestType, Map<String, List<String>> queryParams, Class<?> jsonClass) protected byte[]bytesOp(String serviceEndpoint, Map<String, String> pathParams, Map<String, List<String>> queryParams) protected StringcreateReturningLocationUuid(String serviceEndpoint, Map<String, String> pathParams, Map<String, List<String>> queryParams, Object body) POST a body, then return the created resource's uuid parsed from the responseLocationheader (for endpoints that return201 Location: .../{uuid}rather than a body).protected <R> Rprotected <R> RgetAs(String serviceEndpoint, Map<String, String> pathParams, Map<String, List<String>> queryParams, Class<R> responseType) protected Configprotected <T> EquinixResponse<T> invoke(EquinixRequest<T> equinixRequest) protected <R> List<R> listAs(String serviceEndpoint, Map<String, String> pathParams, Map<String, List<String>> queryParams, Class<R> elementType) mapOp(String serviceEndpoint, RequestType requestType, Map<String, String> pathParams, Map<String, List<String>> queryParams, Object body) protected ClientBase.EquinixRequestBuildernewRequest(String serviceEndpoint) Creates a fluent request builder for the given service endpoint.protected <R> Rprotected <R> RpostForType(String serviceEndpoint, Object body, com.fasterxml.jackson.core.type.TypeReference<?> typeReference) protected <R> RpostForType(String serviceEndpoint, Map<String, String> pathParams, Object body, com.fasterxml.jackson.core.type.TypeReference<?> typeReference) protected <R> RpostForType(String serviceEndpoint, Map<String, String> pathParams, Map<String, List<String>> queryParams, Object body, com.fasterxml.jackson.core.type.TypeReference<?> typeReference) protected <R> List<R> postListAs(String serviceEndpoint, Object body, Class<R> elementType) protected StringstringOp(String serviceEndpoint, RequestType requestType, Map<String, String> pathParams, Map<String, List<String>> queryParams, Object body) protected voidvoidOp(String serviceEndpoint, RequestType requestType, Map<String, String> pathParams, Map<String, List<String>> queryParams, Object body) Execute a request for its side effect only - the response body is validated (throws on API error) and discarded.
-
Constructor Details
-
AccessPolicyClientImpl
-
-
Method Details
-
list
- Specified by:
listin interfaceAccessPolicyClient
-
create
- Specified by:
createin interfaceAccessPolicyClient
-
getByUuid
- Specified by:
getByUuidin interfaceAccessPolicyClient
-
update
public AccessPolicy update(String projectId, String accessPolicyId, UpdateAccessPolicyRequest request) - Specified by:
updatein interfaceAccessPolicyClient
-
delete
-
enable
- Specified by:
enablein interfaceAccessPolicyClient
-
disable
- Specified by:
disablein interfaceAccessPolicyClient
-
listGrants
public AccessPolicyGrantList listGrants(String projectId, String accessPolicyId, String pageToken, Integer pageSize) - Specified by:
listGrantsin interfaceAccessPolicyClient
-
addGrant
- Specified by:
addGrantin interfaceAccessPolicyClient
-
removeGrant
- Specified by:
removeGrantin interfaceAccessPolicyClient
-